#pragma once

#include "imgui/imgui.h"

#include <array>
#include <vector>

namespace ImGui
{
	IMGUI_API bool RangeSliderFloat(const char* label, float* v1, float* v2, float v_min, float v_max, const char* format = "(%.2f, %.2f)", ImGuiSliderFlags flags = 0);
	IMGUI_API bool CurveEdit(const char* label, std::vector<std::array<float,2>>& points, const std::vector<float>* bgHist = nullptr, float histoScale = 1.0f);
}