#pragma once

#include <memory>
#include <string>
#include <vector>

namespace PETFilter
{

bool saveImage(const std::wstring& fileName, const int width, const int height, const std::shared_ptr<std::vector<uint16_t>> data);
bool saveImage(const std::string& fileName, const std::string& refFileName, const int width, const int height, const std::shared_ptr<std::vector<uint16_t>> data);
bool saveImage(const std::string& fileName, const int width, const int height, const std::shared_ptr<std::vector<uint16_t>> data, double(&origin)[3], double(&spacing)[3], float& slope, float& intercept);

}